So I was having problems with Rhythmbox and my FLAC files. I use FLAC because I believe is the best format. SO I Rip all my CD's to preserve them.

I suspected that this problem was a regression from an update since Rhythmbox used to work just fine. So I downgraded Gstreamer to version 1.0.10-2.1.4 and now I'm playing everything nicely now.

If you have the Restricted extras like I do choose those Gstreamer Add-on to be uninstalled because I think those are not compatible. The Yast package manager will ask when downgrading.

Ok Guys it's really easy so no one should suffer from this. just go to Yast package manager and in the bottom right you can reveal a menu for the versions. Or I think it could be just a command : ( just guessing )
Code:
sudo zypper install gstreamer-1.0.10-2.1.4
Some documentation could give light on that. But it can be done in the GUI anyways.

Have a good one guys.